package com.eactive.eai.adapter; 

import java.io.Serializable;
import java.util.ArrayList;

/** 
 * 1. 기능 : 어댑터유형을 정의한 Java Value Object 클래스
 * 2. 처리 개요 : 어댑터유형을 정의한다.
 * *     - 
 * 3. 주의사항 
 *
 * @author  : 
 * @version : v 1.0.0
 * @see : 관련 기능을 참조
 * @since   : 
 */
public class AdapterTypeVO implements Serializable
{ 
	private static final long serialVersionUID = 1L;
	private String adptrCd;
	private String adptrName;
    
    private ArrayList<AdapterPropInfoVO> propInfo;

    public AdapterTypeVO() {
        this("", "");
    }
    
    public AdapterTypeVO(String adptrCd, String adptrName) {
        this.adptrCd   = adptrCd;
        this.adptrName = adptrName;
        this.propInfo  = new ArrayList<AdapterPropInfoVO>();
    }
    
	public String getAdptrCd() {
		return adptrCd;
	}

	public void setAdptrCd(String adptrCd) {
		this.adptrCd = adptrCd;
	}

	public String getAdptrName() {
		return adptrName;
	}

	public void setAdptrName(String adptrName) {
		this.adptrName = adptrName;
	}

	public ArrayList<AdapterPropInfoVO> getPropInfo() {
		return propInfo;
	}

	public void setPropInfo(ArrayList<AdapterPropInfoVO> propInfo) {
		this.propInfo = propInfo;
	}

    public void addAdapterPropInfo(String adptrCd, String adptrIODstcd, String adptrPrptyName, String adptrPrptyDesc) {
        AdapterPropInfoVO vo = new AdapterPropInfoVO(adptrCd, adptrIODstcd, adptrPrptyName, adptrPrptyDesc);
        this.propInfo.add(vo);
    }
}
